Skip to main content

Get Top Performers

GET 

/v1/products/top-performers

Return top products or listings for the optional date, brand, channel, tier, and category filters. The default page is 2 because the overview supplies the first set.

Requires salesPerformance.read.

Request and response fields at a glance
  • Query parameters: brandIds (array), startDate (string), endDate (string), excludeSaleChannelIds (array), performanceBreakdown (string), page (integer), limit (integer), productTiers (array), categories (array).
  • 200 response (application/json): array of listing (object), product (object), totalRevenue (number, required), unitsSold (number, required), brandName (string, required), brandNameAR (string, required), saleChannelBreakdown (array), growthPercentage (mixed), p1Revenue (number), p2Revenue (number), isOutOfStock (boolean).

Request​